//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM015-2 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1309
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 

#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 t;
	delay_init();
	OLED_Init();
	LED_Init();
	OLED_ColorTurn(0);//0 normal display 1 negative display
  OLED_DisplayTurn(0);//0normal display 1 Flip Display
//	OLED_DrawPoint(0,0);
//	OLED_DrawLine(20,0,50,60);
//	OLED_DrawCircle(64,32,20);
	OLED_Refresh();
	t=' ';
	LED0=0;
	while(1)
	{
		OLED_ShowPicture(0,0,128,8,BMP1);
		delay_ms(500);
		OLED_Clear();
		
		OLED_ShowChinese(0,0,0,16);//
		OLED_ShowChinese(16,0,1,16);//
		OLED_ShowChinese(32,0,2,16);//
		OLED_ShowChinese(48,0,3,16);//
		OLED_ShowChinese(64,0,4,16);//
		OLED_ShowChinese(80,0,5,16);//		
		OLED_ShowChinese(96,0,6,16);//
		OLED_ShowChinese(112,0,7,16);//			
		
		

		OLED_ShowString(8,16,"BUYDISPLAY.COM",16);
		OLED_ShowString(20,32,"EASTRISING",16);
		OLED_ShowString(0,48,"ASCII:",16);  
		OLED_ShowString(63,48,"CODE:",16);
		OLED_ShowChar(48,48,t,16);//  
		t++;
		if(t>'~')t=' ';
		OLED_ShowNum(103,48,t,3,16);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowChinese(0,0,0,16);  //16*16 
	  OLED_ShowChinese(16,0,0,24); //24*24 
		OLED_ShowChinese(24,20,0,32);//32*32 
	  OLED_ShowChinese(64,0,0,64); //64*64 
		OLED_Refresh();
	  delay_ms(500);
  	OLED_Clear();
		OLED_ShowString(0,0,"ABC",12);//6*12 ABC
	  OLED_ShowString(0,12,"ABC",16);//8*16 ABC
		OLED_ShowString(0,28,"ABC",24);//12*24 ABC
	  OLED_Refresh();
		delay_ms(500);
		OLED_ScrollDisplay(11,4);
	}
}

